#ifndef BRUSHDEF_HPP
#define BRUSHDEF_HPP

#include <string>
#include <vector>
#include <sstream>
#include "worldspawn.h"
#include "planes.h"

std::string texdef_net(const TPlanePoints&);

void brushdef_gtk(std::stringstream&, const std::vector<TPlanePoints>&);

void brushdef_net(std::stringstream&, const std::vector<TPlanePoints>&);

std::string GetBrushString(const TBrush&, 
                           void (*f) (std::stringstream &, const std::vector<TPlanePoints> &));

#endif